Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class AbstractButtonPresentationContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.PresentationContext
                  |
                  +--com.bea.netuix.servlets.controls.window.AbstractButtonPresentationContext

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ButtonPresentationContext, ToggleButtonPresentationContext

public class AbstractButtonPresentationContext
extends PresentationContext

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Constructor Summary
`protected` | `AbstractButtonPresentationContext(AbstractButton button)`

Method Summary
`static AbstractButtonPresentationContext` | `getAbstractButtonPresentationContext(HttpServletRequest request)`
`String` | `getAltText()`
`protected String` | `getContextKey()` Returns the context key.
`String` | `getEvent()`
`String` | `getEventParam()`
`String` | `getImage()`
`String` | `getImageSrc()`
`String` | `getName()`
`String` | `getRolloverImage()`
`String` | `getRolloverImageSrc()`
`String` | `getWindowLabel()`
`boolean` | `isParentPortlet()` Is my parent an instance of page.

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getControlState, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, render, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractButtonPresentationContext

    protected AbstractButtonPresentationContext(AbstractButton button)

Method Detail

### getImage

    public String getImage()

### getImageSrc

    public String getImageSrc()

### getRolloverImage

    public String getRolloverImage()

### getRolloverImageSrc

    public String getRolloverImageSrc()

### getAltText

    public String getAltText()

### getName

    public String getName()

### getWindowLabel

    public String getWindowLabel()

### getEventParam

    public String getEventParam()

### getEvent

    public String getEvent()

### getAbstractButtonPresentationContext

    public static AbstractButtonPresentationContext getAbstractButtonPresentationContext(HttpServletRequest request)

### isParentPortlet

    public boolean isParentPortlet()

  Is my parent an instance of page.

  Returns:
    true if the parent is a page.

### getContextKey

    protected String getContextKey()

  Description copied from class: `ControlContext`

  Returns the context key. Subclasses may override this.

  Overrides:
    `getContextKey` in class `ControlContext`
  Returns:
    context key

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved